package com.xunhong.erp.turbo.infra.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.infra.dto.cmd.DictionaryCreateCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.DictionaryDestroyCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.DictionaryUpdateCmd;
import com.xunhong.erp.turbo.api.infra.dto.qry.DictionaryListQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.DictionaryPageQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.DictionaryShowQry;
import com.xunhong.erp.turbo.infra.domain.entity.Dictionary;

import java.util.List;

/**
 * @author shenyifei
 */
public interface DictionaryGateway {
	Dictionary save(DictionaryCreateCmd dictionaryCreateCmd);

	IPage<Dictionary> page(DictionaryPageQry dictionaryPageQry);

	List<Dictionary> list(DictionaryListQry dictionaryListQry);

	Dictionary update(DictionaryUpdateCmd dictionaryUpdateCmd);

	Dictionary show(DictionaryShowQry dictionaryShowQry);

	void destroy(DictionaryDestroyCmd dictionaryDestroyCmd);
}

